Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988858 - ipa-replica-install puts 'ulimit -n 8192' in /etc/sysconfig/dirsrv
Summary: ipa-replica-install puts 'ulimit -n 8192' in /etc/sysconfig/dirsrv
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Martin Kosek
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-26 15:03 UTC by Rich Megginson
Modified: 2014-06-18 00:10 UTC (History)
3 users (show)

Fixed In Version: ipa-3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 09:23:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rich Megginson 2013-07-26 15:03:12 UTC
Description of problem:
RHEL7 is a systemd system - /etc/sysconfig/dirsrv is in systemd EnvironmentFile format, which means no shell commands or other shell-isms.  ipa-replica-install puts

ulimit -n 8192

in this file.  It correctly puts

LimitNOFILE=8192

in /etc/sysconfig/dirsrv.systemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Martin Kosek 2013-07-26 15:38:57 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3823

Comment 3 Namita Soman 2013-07-31 19:00:13 UTC
Please add steps to verify

Comment 4 Rich Megginson 2013-07-31 19:18:06 UTC
steps:
run ipa-server-install
grep ^ulimit /etc/sysconfig/dirsrv should return nothing

run ipa-replica-install
grep ^ulimit /etc/sysconfig/dirsrv should return nothing

Comment 5 Martin Kosek 2013-09-03 14:39:36 UTC
Fixed upstream:

master: 6961cf2e77cca8f3784a6d82cebeb0bb8df1f535
ipa-3-3: 509e579472800a75fccb89c9fb83614744d80c87

Comment 7 Scott Poore 2013-12-18 20:26:51 UTC
Verified.

Version ::

ipa-server-3.3.3-5.el7.x86_64

Test Results ::


::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa_bugcheck_bz988858:  ipa-replica-install puts 'ulimit -n 8192' in /etc/sysconfig/dirsrv
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

ipa-server-3.3.3-5.el7.x86_64
:: [   PASS   ] :: File '/etc/sysconfig/dirsrv' should not contain '^[ ]*ulimit -n' 
:: [   PASS   ] :: BZ 988858 not found

Comment 8 Ludek Smid 2014-06-13 09:23:49 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.